#ifndef __POKKTAPP_SCENE_H__
#define __POKKTAPP_SCENE_H__

#include "cocos2d.h"
#include "../view/BaseView.h"

class PokktScene : public cocos2d::LayerColor
{
public:
    
    static cocos2d::Scene* createScene();
    
    void handleEnterForeground();
    
    CREATE_FUNC(PokktScene);
    
protected:
    
    virtual bool init();
    virtual void onKeyRelease(cocos2d::EventKeyboard::KeyCode keyCode, cocos2d::Event* event);
    void initVersion(const std::string &version);
    
private:
    
    void handleChangeScene(cocos2d::Ref* pSender);
    void handleCloseCallback(cocos2d::Ref* pSender);
    
    // view
    BaseView* _currentView;
};

#endif // __POKKTAPP_SCENE_H__
