//
//  TapjoyNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 16/11/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CommonCrypto/CommonDigest.h>
#import "AdNetwork.h"
#import "NetworkModel.h"
#import <Tapjoy/Tapjoy.h>
#import <Tapjoy/TJPlacement.h>


@interface TapjoyNetwork : NSObject<TJPlacementDelegate, AdNetwork, TJCVideoAdDelegate, TJCViewDelegate>

@property (nonatomic, strong) PokktConfig * pokktConfig;
@property (nonatomic, retain) NetworkModel * networkModel;
@property(nonatomic, retain) UIViewController * viewController;
@property (nonatomic, retain) TJPlacement *placement;
@property (nonatomic, assign) int currentCurrencyBalance;
@property (nonatomic, retain) NSTimer *cacheTimer;
@property (nonatomic, assign) BOOL isVideoCached;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) NSString *placementName;

@end
