//
//  MoatVideoAPI.h
//  WebView
//
//  Created by alex on 2/20/15.
//  Copyright (c) 2015 Moat. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>
#import <AVFoundation/AVFoundation.h>

@interface POKKMoatVideoTracker : NSObject <UIWebViewDelegate>

@property bool debug;

+ (POKKMoatVideoTracker *)trackerWithPartnerCode:(NSString*)partnerCode;
- (void) trackVideoAd:(NSDictionary*)adIds usingMPMoviePlayer:(MPMoviePlayerController*)player;
- (void) trackVideoAd:(NSDictionary*)adIds usingAVMoviePlayer:(AVPlayer*)player withLayer:(CALayer*)layer withContainingView:(UIView*)view;
- (void) dispatchEvent:(NSDictionary*)options;

@end
